Número de versión de iOS CFBundleVersion, en aplicaciones Iónicas

Tengo lo siguiente en config.xml de mi aplicación iónica:

<widget android-versionCode="1630" id="com.boardline" ios-CFBundleVersion="1630" version="1.63" versionCode="1630" xmlns="http://www.w3.org/ns/widgets" xmlns:cdv="http://cordova.apache.org/ns/1.0"> 

pero Application Loader me da la siguiente advertencia:

 The value for the key CFBundleShortVersionString [1.63] in the info.plist must contain a higher version number... 

mientras que explícitamente pongo ios-CFBundleVersion="1630"

¿Puedes ayudarme a resolver esto? Necesito que la versión de ios CFBundle sea 1630 y la versión de la aplicación iónica sea de 1.63.

Gracias

Tal vez esto

 // assuming version = MAJOR.MINOR.PATCH-whatever versionCode = PATCH + MINOR * 100 + MAJOR * 10000 CFBundleVersion = "MAJOR.MINOR.PATCH" 

Además esto

 this.appVersion.getVersionCode(); 

Podría resolver su problema (el código de versión 1630 no es CFBundleVersion 1.63) De lo contrario, consulte esta otra pregunta .

Espero eso ayude.